import request from '@/utils/request'

//-------------------logo-----------------------------------
// 根据公司编码查询logo列表
export const useGetLogoList = (encoding) =>
  request.get('interview/get_logoList', {
    params: {
      encoding: encoding
    }
  })
// 添加公司logo
export const useAddLogo = ({ name, encoding, image, userId, filename }) =>
  request.post('interview/add_logo', {
    name,
    encoding,
    image,
    userId,
    filename
  })
// 根据logoID删除公司logo
export const useDeleteLogo = (id) =>
  request.delete('interview/delete_logo', { params: { id: id } })
//-------------------------背景图片-----------------------------------
// 根据公司编码查询背景图片列表
export const useGetBackgroundList = (encoding) =>
  request.get('interview/get_backgroundList', {
    params: {
      encoding: encoding
    }
  })
// 添加面试背景
export const useAddBackground = ({ name, encoding, image, userId, filename }) =>
  request.post('interview/add_background', {
    name,
    encoding,
    image,
    userId,
    filename
  })
// 根据背景id删除面试背景
export const useDeleteBackground = (id) =>
  request.delete('interview/delete_background', { params: { id: id } })

//-------------------------------------------面试官形象-----------------------------------
// 根据公司编码查询面试管形象
export const useGetImagesList = (encoding) =>
  request.get('interview/get_imagesList', {
    params: {
      encoding: encoding
    }
  })
// 添加面试官形象
export const useAddImage = ({
  name,
  encoding,
  image,
  video,
  userId,
  filename,
  sex
}) =>
  request.post('interview/add_image', {
    name,
    encoding,
    image,
    video,
    userId,
    filename,
    sex
  })
// 根据形象id删除形象图片
export const useDeleteImage = (id) =>
  request.delete('interview/delete_image', { params: { id: id } })

//通知面试
export const addInterviewNotice = ({
  encoding,
  jobId,
  postId,
  selectQuestions,
  promote,
  inviteUser,
  userId,
  applicationId,
  endTime
}) =>
  request.post('interview/sendInterviewNotice', {
    encoding,
    jobId,
    postId,
    selectQuestions,
    promote,
    inviteUser,
    userId,
    applicationId,
    endTime
  })

export const getPostInfoList = (encoding) =>
  request.get('interview/getPostingInfoList', {
    params: {
      encoding: encoding
    }
  })

export const getInterviewRecordList = (postId, jobId, encoding, status) =>
  request.get('/interview/getInterviewRecordList', {
    params: {
      postId: postId,
      jobId: jobId,
      encoding: encoding,
      status: status
    }
  })

export const agreeUsersPassInterview = (jobId, postId, userList, userId) =>
  request.post('/interview/agreeUsersPassInterview', {
    jobId: jobId,
    postId: postId,
    userList: userList,
    userId: userId
  })
