import request from '@/utils/request'
//------------------------------------题库-------------------------------------------
//根据公司编码获取题库列表
export const useGetTypeList = (encoding) =>
  request.get('question/get_typeList', {
    params: {
      encoding: encoding
    }
  })
// 搜索题库
export const useSearchType = (name, type, encoding) =>
  request.get('question/search_typeName', {
    params: {
      name: name,
      type: type,
      encoding: encoding
    }
  })
// 根据题库类型获取题库
export const useGetTypeListByType = (encoding, type) =>
  request.get('question/get_typeListByType', {
    params: {
      encoding: encoding,
      type: type
    }
  })

// 添加题库
export const useAddTypeName = (typeName, description, type, encoding, userId) =>
  request.post('question/add_typeName', {
    typeName,
    description,
    type,
    encoding,
    userId
  })
// 根据题库id删除题库
export const useDeleteTypeName = (typeId) =>
  request.delete('question/delete_type', {
    params: {
      typeId: typeId
    }
  })
// 编辑题库
export const useChangeTypeName = (
  typeId,
  typeName,
  description,
  type,
  userId
) =>
  request.post('question/change_type', {
    typeId,
    typeName,
    description,
    type,
    userId
  })

export const useGetTypeById = (id) =>
  request.get('question/get_typeById', { params: { id: id } })
//-------------------------------------题目-------------------------------------
// 根据公司编码获取题目列表
export const useGetQuestionList = (encoding) =>
  request.get('question/get_questionList', {
    params: {
      encoding: encoding
    }
  })
// 搜索题目
export const useSearchQuestion = (name, type, encoding) =>
  request.get('question/search_questionList', {
    params: {
      name: name,
      type: type,
      encoding: encoding
    }
  })
// 添加题目
export const useAddQuestion = (
  title,
  bankId,
  details,
  answer,
  encoding,
  userId
) =>
  request.post('question/add_question', {
    title,
    bankId,
    details,
    answer,
    encoding,
    userId
  })
// 编辑题目
export const useUpdateQuestion = (
  id,
  title,
  bankId,
  details,
  answer,
  encoding,
  userId
) =>
  request.post('question/update_question', {
    id,
    title,
    bankId,
    details,
    answer,
    encoding,
    userId
  })
// 删除题目
export const useDeleteQuestion = (id) =>
  request.delete('question/del_question', {
    params: {
      id: id
    }
  })
//---------------------------------题库广场----------------------------
//获取分享题库列表
export const useGetSharedQuestionType = () =>
  request.get('question/get_sharedQuestionType')
// 搜索分享题库
export const useSearchSharedQuestionType = (searchName) =>
  request.get('question/search_sharedQuestionType', {
    params: {
      searchName: searchName
    }
  })
// 根据公司编码获取分享题库列表
export const useGetSharedQuestionTypeByCompany = (encoding) =>
  request.get('question/get_sharedQuestionType', {
    params: {
      encoding: encoding
    }
  })
// 添加分享题库
export const useAddSharedQuestionType = ({
  typeName,
  type,
  description,
  userId,
  encoding
}) =>
  request.post('question/add_sharedQuestionBank', {
    typeName,
    type,
    description,
    userId,
    encoding
  })
// 从分享题库中添加题库到本公司题库下
export const useAddQuestionTypeFromShare = ({
  SharedBankIds,
  userId,
  encoding
}) =>
  request.post('question/add_QuestionBankFromShare', {
    SharedBankIds,
    userId,
    encoding
  })

//根据
//-------------------------------------题目广场-----------------------------
// 获取分享题目列表
export const useGetSharedQuestion = () =>
  request.get('question/get_sharedQuestion')
// 搜索分享题目
export const useSearchSharedQuestion = (searchName) =>
  request.get('question/search_sharedQuestion', {
    params: {
      searchName: searchName
    }
  })
// 根据分享题库id获取分享题目列表
export const useGetSharedQuestionByBankId = (sharedBankId) =>
  request.get('question/get_sharedQuestionByBankId', {
    params: {
      sharedBankId: sharedBankId
    }
  })
// 添加分享题目
export const useAddSharedQuestionList = ({
  sharedBankId,
  selectQuestionId,
  userId,
  encoding
}) =>
  request.post('question/add_sharedQuestion', {
    sharedBankId,
    selectQuestionId,
    userId,
    encoding
  })
// 从分享题目中添加题目到本公司下的题库中
export const useAddQuestionFromShare = ({
  selectSharedQuestionIds,
  bankId,
  userId,
  encoding
}) =>
  request.post('question/add_QuestionFromShare', {
    selectSharedQuestionIds,
    bankId,
    userId,
    encoding
  })
//---------------------------------我的分享题库---------------------------
//根据公司编码获取本公司分享的题库
export const useGetOurSharedQuestionTypeList = (encoding) =>
  request.get('question/get_OurQuestionTypeList', {
    params: {
      encoding: encoding
    }
  })
//搜索本公司的分享的题库
export const useSearchOurSharedQuestionType = (encoding, searchName) =>
  request.get('question/search_OurSharedQuestionType', {
    params: {
      encoding: encoding,
      searchName: searchName
    }
  })
//根据分享题库id修改题库信息
export const useEditOurSharedQuestionType = ({
  id,
  typeName,
  description,
  type,
  userId
}) =>
  request.post('question/edit_OurSharedQuestionType', {
    id,
    typeName,
    description,
    type,
    userId
  })
//根据分享题库id删除分享题库
export const useDeleteOurSharedQuestionType = (id) =>
  request.delete('question/delete_OurSharedQuestionType', {
    params: {
      id: id
    }
  })

//----------------------------------我的分享题目-------------------------
//根据公司编码获取本公司分享的题目
export const useGetOurSharedQuestionList = (encoding) =>
  request.get('question/get_OurQuestionList', {
    params: {
      encoding: encoding
    }
  })
//搜索本公司的分享的题库
export const useSearchOurSharedQuestion = (encoding, searchName) =>
  request.get('question/search_OurSharedQuestion', {
    params: {
      encoding: encoding,
      searchName: searchName
    }
  })
//根据ID删除本公司下的分享ID
export const useDeleteOurSharedQuestion = (sharedQuestionId) =>
  request.post('question/delete_OurSharedQuestion', {
    sharedQuestionId: sharedQuestionId
  })

export const useEditOurSharedQuestion = ({
  id,
  title,
  details,
  answer,
  bankId,
  userId
}) =>
  request.post('question/update_OurSharedQuestion', {
    id,
    title,
    details,
    answer,
    bankId,
    userId
  })
