import request from '@/utils/request.js'
// 用户登陆
export const adminLogin = ({ phone, encoding, password }) =>
  request.post('admin/login', {
    phone,
    encoding,
    password
  })
// 根据token获取用户信息
export const useGetUserInfo = (token) =>
  request.get('admin/get_userInfo', {
    params: {
      token: token
    }
  })
// 用户登出
export const useAdminLogout = (token) =>
  request.get('admin/logout', {
    params: {
      token: token
    }
  })
// 根据公司编码获取员工列表
export const useGetAdminList = (encoding) =>
  request.get('admin/get_adminList', {
    params: {
      encoding: encoding
    }
  })
// 添加管理员
export const useAddAdmin = (encoding, userId, username, phone, role) =>
  request.post('admin/add_admin', { encoding, userId, username, phone, role })
// 删除管理员
export const useDelAdmin = (userId, deleteId) =>
  request.delete('admin/del_admin', {
    params: {
      userId: userId,
      deleteId: deleteId
    }
  })
// 更换头像
export const useChangeAvatar = ({ userId, avatar }) =>
  request.post('admin/change_avatar', {
    userId,
    avatar
  })
// 重置密码
export const useResetPassword = ({
  userId,
  oldPassword,
  Password,
  resetPassword
}) =>
  request.post('admin/reset_password', {
    userId,
    oldPassword,
    Password,
    resetPassword
  })
// 搜索管理员
export const useSearchAdmin = (name, encoding) =>
  request.get('admin/search_admin', {
    params: {
      name: name,
      encoding: encoding
    }
  })
// 编辑用户信息
export const useUploadUserInfo = ({
  userId,
  updateId,
  username,
  age,
  email,
  sex
}) =>
  request.post('admin/upload_userInfo', {
    userId,
    updateId,
    username,
    age,
    email,
    sex
  })
//系统管理员修改公司管理员密码||公司管理员修改HR的密码

export const useAdminEditPassword = ({ userId, updateUserId, password }) =>
  request.post('admin/adminEditPassword', { userId, updateUserId, password })

//获取反馈列表
export const useGetFeedBackList = (status) =>
  request.get('vxUser/getAllFeedBack', {
    params: {
      status: status
    }
  })
//修改反馈的状态
export const useChangeFeedBackStatus = (id, userId) =>
  request.get('vxUser/changeFeedBackStatus', {
    params: {
      id: id,
      userId: userId
    }
  })
