import { createRouter, createWebHistory } from 'vue-router'
import { useUserStore } from '@/stores'

const router = createRouter({
  history: createWebHistory(import.meta.env.BASE_URL),
  routes: [
    { path: '/login', component: () => import('@/views/login/LoginPage.vue') },
    {
      path: '/upload/resume',
      component: () => import('@/views/uploadresume/UploadResume.vue')
    },
    {
      path: '/',
      redirect: '/home',
      component: () => import('@/views/layout/LayoutContainer.vue'),

      children: [
        {
          path: '/question/type',
          component: () => import('@/views/question/QuestionTypePage.vue')
        },
        {
          path: '/question/manager',
          component: () => import('@/views/question/QuestionManager.vue')
        },
        {
          path: '/question/square',
          component: () => import('@/views/question/QuestionSquare.vue')
        },
        {
          path: '/home',
          component: () => import('@/views/home/HomeindexPage.vue')
        },
        {
          path: '/manager',
          component: () => import('@/views/manager/ManagerPage.vue')
        },
        {
          path: '/adminManager',
          component: () => import('@/views/manager/AdminMangePage.vue')
        },
        {
          path: '/companyManager',
          component: () => import('@/views/manager/CompanyManagePage.vue')
        },
        {
          path: '/carouselChart',
          component: () => import('@/views/carouselChart/CarouselChartPage.vue')
        },
        {
          path: '/feedbackmanage',
          component: () =>
            import('@/views/feedbackmanage/FeedbackManagePage.vue')
        },
        {
          path: '/interview/imageManagement',
          component: () => import('@/views/interview/ImageManagement.vue')
        },
        {
          path: '/interview/logoManagement',
          component: () => import('@/views/interview/LogoManagement.vue')
        },
        {
          path: '/interview/backgroundManagement',
          component: () => import('@/views/interview/BackgroundManagement.vue')
        },

        {
          path: '/recruitment/recruitmentManagement',
          component: () =>
            import('@/views/recruitment/RecruitmentManagement.vue')
        },
        {
          path: '/recruitment/jobManagement',
          component: () => import('@/views/recruitment/JobManagement.vue')
        },
        {
          path: '/recruitment/companyManagement',
          component: () => import('@/views/recruitment/CompanyManagement.vue')
        },
        {
          path: '/recruitment/publicJob',
          component: () => import('@/views/recruitment/PublicJob.vue')
        }
      ]
    }
  ]
})
router.beforeEach((to) => {
  const userStore = useUserStore()
  if (!userStore.token && to.path !== '/login') return '/login'
})

export default router
