import { defineStore } from 'pinia'
import { ref } from 'vue'

export const useCompanyStore = defineStore(
  'interviewer-company',
  () => {
    const encoding = ref('')

    const setEncoding = (newEncoding) => {
      encoding.value = newEncoding
    }

    const removeEncoding = () => {
      encoding.value = ''
    }

    return {
      encoding,
      setEncoding,
      removeEncoding
    }
  },
  {
    persist: {
      paths: ['encoding']
    }
  }
)
